// MassBuilderSaveTool
// Copyright (C) 2021 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include "SaveTool/SaveTool.h"

#include <fstream>

int main(int argc, char** argv) {
#ifndef SAVETOOL_DEBUG_BUILD
    std::ofstream output{"SaveToolLog.txt", std::ios::trunc|std::ios::out};

    Utility::Debug d{&output};
    Utility::Warning w{&output};
    Utility::Error e{&output};
#endif

    SaveTool app({argc, argv});
    return app.exec();
}
